
%%
%% This is file `vahid-thesis.cls',
%% generated with the docstrip utility.
%%
%% The original source files were:
%%
%% xepersian.dtx  (with options: `vahid-thesis.cls')
%% 
%%   __________________________________
%%   Copyright © 2008-2009 Vafa Khalighi
%%  
%%   Edited by Vahid Damanafshan    <vdamanafshan@yahoo.com>
%%  
%%   License information appended.
%% 
%% 
\NeedsTeXFormat{LaTeX2e}
\ProvidesClass{thesis}
              [2009/02/09 v0.1
 Persian thesis document class in XeLaTeX]
\DeclareOption*{\PassOptionsToClass{\CurrentOption}{report}}
\ProcessOptions
\LoadClass{report}
\def\university#1{\gdef\@university{#1}}
\def\department#1{\gdef\@department{#1}}
\def\degree#1{\gdef\@degree{#1}}
\def\thesisdate#1{\gdef\@thesisdate{#1}}
\def\supervisor#1{\gdef\@supervisor{#1}}
\def\advisor#1{\gdef\@advisor{#1}}
\def\refreein#1{\gdef\@refreein{#1}}
\def\refreeout#1{\gdef\@refreeout{#1}}
\def\tit#1{\gdef\@tit{#1}}
\def\type#1{\gdef\@type{#1}}
\def\city#1{\gdef\@city{#1}}
\def\subject#1{\gdef\@subject{#1}}
\def\field#1{\gdef\@field{#1}}
\def\department#1{\gdef\@department{#1}}

\def\latintitle#1{\gdef\@latintitle{#1}}
\def\latinauthor#1{\gdef\@latinauthor{#1}}
\def\latindegree#1{\gdef\@latindegree{#1}}
\def\latinfaculty#1{\gdef\@latinfaculty{#1}}
\def\latinthesisdate#1{\gdef\@latinthesisdate{#1}}
\def\latintype#1{\gdef\@latintype{#1}}
\def\latinsupervisor#1{\gdef\@latinsupervisor{#1}}
\def\latinadvisor#1{\gdef\@latinadvisor{#1}}
\def\latincity#1{\gdef\@latincity{#1}}
\def\latinuniversity#1{\gdef\@latinuniversity{#1}}
\def\pagenumber#1{\gdef\@pagenumber{#1}}
%%=================================================
\def\makefatitle{\begin{titlepage}
%\topmargin=-30pt
\vspace{-1cm}\centerline{{\includegraphics[height=3cm]{logo.PNG}}}
\centerline{\large \bfseries\@university}
\centerline{\large\bfseries\@department}
\vskip .9cm
{\large\bfseries\@type}
\vskip .3cm
{\large\bfseries\writtenfor
\@degree}
{\large\bfseries{در رشته}}
\vskip .2cm
\centerline{\large \bfseries\@subject%
%، گرایش
%\@field
}
\vskip 1cm
%\baselineskip=.750cm
\centerline{\Large \bfseries\onvan}


\vskip .4cm
{\Huge\titr \@title}\par
{\Huge\titr \@tit}
\vskip .8cm


{\large%
  \by}\par
\par
{\nastaliq\Large \@author}\par

{\large
  \undersupervision\par
\nastaliq \Large \@supervisor}

%{\large
%  \coadvisor\par
%\Large\bfseries \@advisor}

\vskip 8mm
%\par
%%\vskip 1cm
{\large \@thesisdate}
%\par
%\vskip 1cm

%\par
%{\large\bfseries\universityof\space\@university \par\@city}
%\vfill
\end{titlepage}%
}
\def\approval{
\begin{titlepage}
\begin{center}
{\Large \@university} \\
{\Large \@department}
\vskip 1cm

\large{\@type\space \@degree}
\vskip 2cm
{\Large\titr \@title}\par
{\Large\titr \@tit}
\vskip 2cm
\by:\space\@author
\end{center}
\vskip 4cm
\begin{tabular}{p{11.5cm}p{2cm}}
استاد راهنما: \@supervisor  & امضاء: \\[3cm]
استاد ممتحن داخلی: \@refreein & امضاء: \\[3cm]
استاد ممتحن خارجی: \@refreeout & امضاء:
\end{tabular}
\end{titlepage}
}


\def\latinabstract{\newpage
\thispagestyle{empty}
\vskip 15mm
\begin{center}{\Large\bfseries \@latintitle \\[5mm]}
{\bfseries Abstract}
\end{center}
\vspace{5mm}}

\def\endlatinabstract{\newpage}

\def\acknowledgementpage{\newpage
\thispagestyle{empty}
%\centerline{\Large \bfseries\acknowledgementname}

\vspace{1cm}
\par\noindent}
\def\endacknowledgementpage{\newpage}

\def\titlepage{\newpage\centering
  \thispagestyle{empty}
  \parindent 0pt \parskip 10pt plus 1fil minus 1fil
  \def\baselinestretch{1}\@normalsize\vbox to \vsize\bgroup\vbox to 9in\bgroup}
\def\endtitlepage{\par\kern 0pt\egroup\vss\egroup\newpage}

\def\signature#1#2{\par\noindent#1\dotfill\null\\*
  {\raggedright #2\par}}

\def\abstract{\subsection*{\abstractname}\small
\@normalsize}
\def\endabstract{\par}

\pagenumbering{harfi}
\let\ol@chapter\@chapter
\def\@chapter{%
  \ifnum\c@chapter=0 \pagenumbering{arabic}\setcounter{page}{1}\fi
  \ol@chapter}





%\pagenumbering{harfi}
%\let\ol@chapter\@chapter
%\def\@chapter{%
%  \ifnum\c@chapter=0 \pagenumbering{arabic}\setcounter{page}{1}\fi
%\ifnum\c@chapter=-1 \setcounter{chapter}{0}\fi
%  \ol@chapter}

\def\keywords#1{\par\vspace{5mm}
\noindent {\textbf{واژه‌های کلیدی:}} {\textit{ #1}}}

\def\latinkeywords#1{\par \vspace{5mm}
\noindent {\textbf{Keywords:}} {\textit{ #1}}}

\font\titlefont=cmssbx10 scaled 2074
\font\supervisorfont=cmbxti10 
\def\makelatintitle{\begin{titlepage}
{\includegraphics[height=4.3cm]{logo.PNG}}
\centerline{\@latinuniversity} 
%\vskip 1.5cm
%\addtolength{\baselineskip}{5mm}
\large\bfseries
\@latinfaculty\space 
\vskip 5mm
{\latinwrittenfor\par
\large\@latindegree}
\vskip 1cm
{\titlefont \@latintitle} \par
\addtolength{\baselineskip}{-5mm}
\vskip 7mm

supervisor \par
{\supervisorfont\@latinsupervisor}
%\vskip 4mm
%Advisor\par
%{\supervisorfont\@latinadvisor}
\vskip 5mm
{\bfseries\latinby}\par
{\Large \supervisorfont\@latinauthor}\par
\vskip 5mm

\par
\vskip 1cm

\par
\vskip 1cm
\@latincity

{\@latinthesisdate}
\par
\vskip 1cm

\par


\vfill
\end{titlepage}%
}
%\def\department{دانشکده علوم ریاضی }


\def\onvan{عنوان}

\def\writtenfor{برای دریافت درجه }

\def\undersupervision{استاد راهنما}

\def\coadvisor{استاد مشاور}

\def\by{نگارش}
%\def\departmentof{گروه}
%\def\universityof{دانشگاه}
\def\latinby{by}
\def\latinwrittenfor{DISSERTATION SUBMITTED IN PARTIAL
\\[.2cm]
 FULFILLMENT OF THE
REQUIREMENTS FOR THE 
\\[.2cm]
DEGREE OF}
\def\latinundersupervision{Under supervision of}

%% 
%% Copyright © 2008-2009      by Vafa Khalighi     <vafa@users.berlios.de>
%% 
%% Distributable under the LaTeX Project Public License,
%% version 1.3c or higher (your choice). The latest version of
%% this license is at: http://www.latex-project.org/lppl.txt
%% 
%% This work is "maintained" (as per LPPL maintenance status)
%% by Vafa Khalighi.
%% 
%% 
%% 
%% 
%%
%% End of file `xepersian-thesis.cls'.
